<?php
/**
 * Created by PhpStorm.
 * User: Jure
 * Date: 6.4.2014
 * Time: 8:15
 */

class Survey
{

    /// <summary>
    /// Survey Constructor
    /// </summary>
    /// <param name="surveyType">Type of the survey</param>
    function  __construct($surveyType)
    {
        $this->surveyType = $surveyType;
    }

    /// <summary>
    /// Survey ID
    /// </summary>
    public $SurveyId;
    /// <summary>
    /// Name of the survey
    /// </summary>
    public $SurveyName;
    /// <summary>
    /// Type of the survey.
    /// </summary>
    public $surveyType = null;
    /// <summary>
    /// Name of the survey client
    /// </summary>
    public $ClientName;
    /// <summary>
    /// The description of the survey
    /// </summary>
    public $Description;
    /// <summary>
    /// The default interviewer instruction of a survey
    /// </summary>
    public $InterviewerInstruction;

    public function getSurveyId(){return $this->SurveyId;}
    public function getSurveyName(){return $this->SurveyName;}
    public function getClientName(){return $this->ClientName;}
    public function getDescription(){return $this->Description;}

    public function setSurveyName($name){$this->SurveyName = $name;}
    public function setClientName($name){$this->ClientName = $name;}
    public function setDescription($description){$this->Description = $description;}
    public function setSurveyId($id){$this->SurveyId = $id;}
}
